/* ===================================================
    STYLE - IFB FAIR-bioinfo training
===================================================== */

/* ---------------------------------------------------
    GENERAL STYLE
----------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
  }
  
  body {
    position: relative;
  }
  
  #myBtn {
      border: none;
      outline: none;
      cursor: pointer;
      position: fixed;
      display: none;
      width: 40px;
      height: 40px;
      border-radius: 50px;
      right: 15px;
      bottom: 15px;
      padding: 8px 0px;
      background: #173b6c;
      color: #fff;
      transition: display 0.5s ease-in-out;
      z-index: 10000;
  }
  
  #myBtn:hover {
    background-color: #8a8b8b;
  }
  
  
  p{
      text-align: justify;
  }



  .h1Sep{
    background-color: #173b6c; 
    color: white;
    padding: 5px;
  }

  h2,h3, h4 {
      color: #173b6c;
      padding-bottom: 10px;
      margin-bottom: 10px;
  }
  
  .sectionCover{
      width: 100%;
      height: 400px;
      margin-top:56px; 
      margin-bottom: 30px;
      background-image: url('../img/cover.jpg');
      background-size: cover;
      color: white; 
      text-shadow: #173b6c 1px 0 10px; 
      text-align: center;
  }
  
  section {
      padding: 10px;
  }
  
  .footer {
    width: 100%;
    text-align: center;
    padding-top: 20px;
    padding-bottom: 20px;
  }
  
  .footer::before {
      content: '';
      display: block;
      width: 100%;
      height: 3px;
      background: #f8f9fa !important;
      margin-bottom: 20px;
      box-sizing: border-box;
  }

  img {
    display: block;
    margin-left: auto;
    margin-right: auto ;
    max-width: 100% ;
  }


nav[data-toggle="toc"] {
    top: 70px;
}

.card-header .fa {
    transition: .3s transform ease-in-out;
}

.card-header .collapsed .fa {
    transform: rotate(90deg);
}

td .collapsed .fa {
    transform: rotate(90deg);
}

td a:hover {
    text-decoration: none;
}

.card-header a {
    color:white;
}
.card-header a:hover {
    text-decoration: none;
}
.card-formateur {
    padding-top: 16px;
    border-radius: .25rem .25rem 0 0;
}

.card-marging {
    margin: 25px 0px;
}

.addeventatc {
    z-index: 1 !important;
}

/* ---------------------------------------------------
    Nav item
----------------------------------------------------- */

p.textNav {
    margin-bottom: 0px;
    color:#212529;
  }
  
.imgNav {
    font-size: 2rem; 
    color: #212529;
}

/* ---------------------------------------------------
    Search nav 
----------------------------------------------------- */

.form-control:focus:not([readonly]) {
    border: 1px solid #ced4da;
    box-shadow: 0 0 0 1px #ced4da;
}

.input-container_nav {
    display: -ms-flexbox; /* IE10 */
    display: flex;
    width: 100%;
    max-width: 200px;
    border: solid 1px #dadce0;
    color: #dadce0;
    border-radius: .25rem!important;
    margin-right: 10px;
}

.icon_nav {
    padding: 0 10px;
    color: gray;
    min-width: 50px;
    line-height: 2!important;
    text-align: center;
}
.input-field_nav {
    width: 100%;
    padding: 0 10px;
    outline: none;
    border : solid 0px white;
}

.submitBtn_nav:hover {
    box-shadow: 0 1px 1px rgba(0,0,0,0.1);
    background-image: -webkit-linear-gradient(top,#f8f9fa,#f8f9fa);
    background-color: #f8f9fa;
    border: 1px solid #dadce0;
    color: #202124;
}

.submitBtn_nav {
    background-image: -webkit-linear-gradient(top,#f8f9fa,#f8f9fa);
    background-color: #f8f9fa;
    border: 1px solid #dadce0;
    border-radius: 4px;
    color: #3c4043;
    padding: 0 16px;
    line-height: 27px;
    height: 36px;
    text-align: center;
    user-select: none;
}
/* ---------------------------------------------------
    Search 
----------------------------------------------------- */

  .input-container {
    display: -ms-flexbox; /* IE10 */
    display: flex;
    width: 100%;
    margin-bottom: 15px;
    border: solid 1px gray;
    border-radius: .25rem!important;
  }

  .icon {
    padding: 10px;
    color: gray;
    min-width: 50px;
    line-height: 2!important;
    text-align: center;
  }
  
  .input-field {
    width: 100%;
    padding: 10px;
    outline: none;
    border : solid 0px white;
  }
  
  .input-container:focus-within {
    box-shadow: 0 .4rem 0.9rem rgba(0,0,0,.15)!important;
  }

.submitBtn:hover {
    box-shadow: 0 1px 1px rgba(0,0,0,0.1);
    background-image: -webkit-linear-gradient(top,#f8f9fa,#f8f9fa);
    background-color: #f8f9fa;
    border: 1px solid #dadce0;
    color: #202124;
}

.submitBtn {
    background-image: -webkit-linear-gradient(top,#f8f9fa,#f8f9fa);
    background-color: #f8f9fa;
    border: 1px solid #f8f9fa;
    border-radius: 4px;
    color: #3c4043;
    margin: 11px 4px;
    padding: 0 16px;
    line-height: 27px;
    height: 36px;
    min-width: 150px;
    text-align: center;
    user-select: none;
}
/* ---------------------------------------------------
    Search result
----------------------------------------------------- */

.card-footer_cours {
background-color: #173b6c;
color: white;
}

.card-footer_tp {
    background-color: #009c2f;
    color: white;
}

.noDeco {
    text-decoration: none;
    color: black;
    
}

.noDeco:hover {
    text-decoration: none;
    color :rgb(78, 75, 75);
}

.divShadow:hover {
    box-shadow: 0 .250rem .5rem rgba(0,0,0,.075)!important;
}

.divShadow {
    margin-bottom: 25px;
}


/* ---------------------------------------------------
    Table Markdown
----------------------------------------------------- */
.tableStyle

.tableStyle {
    font-family: Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    width: 100%;
  }
  
  .tableStyle td, .tableStyle th {
    border: 1px solid #ddd;
    padding: 8px;
  }
  
  .tableStyle tr:nth-child(even){background-color: #f2f2f2;}
  
  .tableStyle tr:hover {background-color: #ddd;}
  
  .tableStyle th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color:#173b6c;
    color: white;
  }
/* ---------------------------------------------------
    highlight
----------------------------------------------------- */

.tooltip {
    all:unset;
    position: relative;
    display: inline-block;
  }
  
  .tooltip .tooltiptext {
    visibility: hidden;
    width: 200px;
    background-color: #555;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: 50%;
    margin-left: -100px;
    margin-bottom: -10px;
    opacity: 0;
    transition: opacity 0.3s;
  }
  
  .tooltip .tooltiptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
  }
  
  .tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
  }


 .avatar {
    border-radius: 50%;
    width: 100px; 
 } 

.linkSocial{
    font-size: x-large;
    color: #173b6c;
}


@media print {
    body {-webkit-print-color-adjust: exact;}
}

/* ---------------------------------------------------
    Modal
----------------------------------------------------- */
/* Style the Image Used to Trigger the Modal */
#myImg {
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
  }
  
  #myImg:hover {opacity: 0.7;}
  
  /* The Modal (background) */
  .modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 20000; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
  }
  
  /* Modal Content (Image) */
  .modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 100%;
  }
  
  /* Caption of Modal Image (Image Text) - Same Width as the Image */
  #caption {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
  }
  
  /* Add Animation - Zoom in the Modal */
  .modal-content, #caption {
    animation-name: zoom;
    animation-duration: 0.6s;
  }
  
  @keyframes zoom {
    from {transform:scale(0)}
    to {transform:scale(1)}
  }
  
  /* The Close Button */
  .close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
  }
  
  .close:hover,
  .close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
  }
  
  /* 100% Image Width on Smaller Screens */
  @media only screen and (max-width: 700px){
    .modal-content {
      width: 100%;
    }
  }

/* ---------------------------------------------------
    Include
----------------------------------------------------- */

.objectifs {
    border-radius: 5px;
    background: #e6f4fa;
    padding: 5px 20px 5px 20px;
}

.questionSession{
    border-radius: 5px;
    background: #cef2d8;
    padding: 5px 20px 5px 20px;
}

/* ---------------------------------------------------
    highlight
----------------------------------------------------- */
/* http://jwarby.github.io/jekyll-pygments-themes/languages/javascript.html# */

div.highlight {
    padding: 10px 10px 0px 10px;
}

.highlighter-rouge {
    width: 100% ;
    background-color: #F7F8F3 !important;
}

pre {
    padding: 10px;
    margin: 0px;
}

.gutter {width: 20px !important;}

.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #008800; font-style: italic } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #000080; font-weight: bold } /* Keyword */
.highlight .cm { color: #008800; font-style: italic } /* Comment.Multiline */
.highlight .cp { color: #008080 } /* Comment.Preproc */
.highlight .c1 { color: #008800; font-style: italic } /* Comment.Single */
.highlight .cs { color: #008800; font-weight: bold } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #999999 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #aaaaaa } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #000080; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #000080; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #000080; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #000080; font-weight: bold } /* Keyword.Pseudo */
.highlight .kr { color: #000080; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #000080; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000FF } /* Literal.Number */
.highlight .s { color: #0000FF } /* Literal.String */
.highlight .na { color: #FF0000 } /* Name.Attribute */
.highlight .nt { color: #000080; font-weight: bold } /* Name.Tag */
.highlight .ow { font-weight: bold } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mf { color: #0000FF } /* Literal.Number.Float */
.highlight .mh { color: #0000FF } /* Literal.Number.Hex */
.highlight .mi { color: #0000FF } /* Literal.Number.Integer */
.highlight .mo { color: #0000FF } /* Literal.Number.Oct */
.highlight .sb { color: #0000FF } /* Literal.String.Backtick */
.highlight .sc { color: #800080 } /* Literal.String.Char */
.highlight .sd { color: #0000FF } /* Literal.String.Doc */
.highlight .s2 { color: #0000FF } /* Literal.String.Double */
.highlight .se { color: #0000FF } /* Literal.String.Escape */
.highlight .sh { color: #0000FF } /* Literal.String.Heredoc */
.highlight .si { color: #0000FF } /* Literal.String.Interpol */
.highlight .sx { color: #0000FF } /* Literal.String.Other */
.highlight .sr { color: #0000FF } /* Literal.String.Regex */
.highlight .s1 { color: #0000FF } /* Literal.String.Single */
.highlight .ss { color: #0000FF } /* Literal.String.Symbol */
.highlight .il { color: #0000FF } /* Literal.Number.Integer.Long */
